<?php $helper = $this->helper('MGS\Mpanel\Helper\Data') ?>

<?php $canUsePanel = $helper->acceptToUsePanel() ?>
<?php $objectManager = \Magento\Framework\App\ObjectManager::getInstance(); ?>
<?php


$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
$baseUrl = $storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_WEB);

?>
<?php $customerSession = $objectManager->create('Magento\Customer\Model\Session'); ?>
<?php // Variable Layout Element ?>
<?php $miniCart = $block->getChildHtml('minicart'); //Mini Cart ?>
<?php $storeLanguage = $block->getChildHtml('store_language'); //Language Option ?>

<?php $logo = $block->getChildHtml('logo'); //Logo ?>

<?php $mgsMegamenu = $block->getChildHtml('megamenu'); // MGS_Megamenu ?>
<?php if (!$helper->isActiveModule('MGS_Mmegamenu')) {
    $mgsMegamenu = $block->getChildHtml('catalog.topnav'); // Default menu magento
}  ?>

<?php $topSearch = $block->getChildHtml('top.search'); // Top Search ?>
<?php $storeSetting = $block->getChildHtml('store.settings'); // Store Setting ?>
<?php $subCategories = $block->getChildHtml('sub.categories'); // Sub Categories ?>

<?php // Image Toogle menu button ?>
<?php $imgToggleMenu = '<img src="'. $block->getViewFileUrl('images/hamburger-line.png') .'" alt="'. __('Toggle Menu') .'">'; ?>

<?php // Tab Menu - Responsive Header ?>
<?php $htmlTabMenu = '<ul class="nav nav-tabs">' ?>
    <?php $htmlTabMenu .= '<li class="active"><a data-toggle="tab" href="#main-Menucontent">'. __('Menu') .'</a></li>'; ?>
        <?php $htmlTabMenu .= '<li><a data-toggle="tab" href="#main-Accountcontent">'. __('Account') .'</a></li>'; ?>
        <?php if($storeSetting): ?>
            <?php $htmlTabMenu .= '<li><a data-toggle="tab" href="#main-Settingcontent">'. __('Setting') .'</a></li>'; ?>
        <?php endif ?>
    
<?php $htmlTabMenu .= '</ul>'; ?>


<?php // Setting Tab Panel ?>
<?php $htmlTabSetting = "" ?>
<?php if($storeSetting): ?>
    <?php $htmlTabSetting = '<div id="main-Settingcontent" class="tab-pane">'.$storeSetting.'</div>'; ?>
<?php endif ?>

<?php //Tab content - Responsive Header ?>
<?php if ($helper->isActiveModule('MGS_Mmegamenu')): ?>
    <?php $htmlTabContent = '<div class="tab-content"><div id="main-Menucontent" class="tab-pane active">'. $mgsMegamenu .'</div><div id="main-Accountcontent" class="tab-pane"><div class="top-links">'.$block->getChildHtml('top.links').'</div></div>'.$htmlTabSetting.'</div>' ; ?>
<?php else:?>
    <?php $htmlTabContent = '<div class="tab-content mgt-menu"><div id="main-Menucontent" class="tab-pane active">'. $mgsMegamenu .'</div><div id="main-Accountcontent" class="tab-pane"><div class="top-links">'.$block->getChildHtml('top.links').'</div></div>'.$htmlTabSetting.'</div>' ; ?>
<?php endif;?>
<?php // Top Link ?>
<?php
$om = \Magento\Framework\App\ObjectManager::getInstance();
$customerSession = $om->get('Magento\Customer\Model\Session');
if($customerSession->isLoggedIn()) {
  $customerData = $customerSession->getCustomer()->getData(); //get all data of customerData


  $customerSession = $om->create('Magento\Customer\Model\SessionFactory')->create();
  $customerData = $customerSession->getCustomer()->getData(); //get all data of customerData


$htmlTopLink = '<div class="dropdown dropdown-toplinks"><button class="dropdown-toggle chars" type="button" data-toggle="dropdown"><i class="pe-7s-user"></i> <span class="label">'.$customerData['firstname'][0].''.$customerData['lastname'][0].' </span></button><div class="dropdown-menu">'. $block->getChildHtml('top.links') .'</div></div>';
}else{
    $htmlTopLink = '<div class="dropdown dropdown-toplinks"><button class="dropdown-toggle" type="button" data-toggle="dropdown"><i class="pe-7s-user"></i></button><div class="dropdown-menu">'. $block->getChildHtml('top.links') .'</div></div>';
}
?>
    
    <?php $topMiddleBlock = $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('header_1_top_middle_block')->setCanUsePanel($canUsePanel)->toHtml(); ?>
    <?php
        //$topMiddleBlock = '';
    ?>
    <?php if($topMiddleBlock): ?>
        <div class="top-middle-header">
            <?php echo $topMiddleBlock; ?>
        </div>
    <?php endif ?>
    <div class="middle-header-content new-header">
        <div class="container">
            <div class="row">
                <div class="col-md-2 col-sm-4 col-xs-2 mobile-item-col">
                    <button class="action nav-toggle hidden-md hidden-lg">
                      <!-- <?php echo $imgToggleMenu ?> -->
                      <span class="hamb-line one"></span>
                      <span class="hamb-line two"></span>
                      <span class="hamb-line three"></span>
                    </button>

                    <div class="visible-md visible-lg logo-left-header">
                        <?php echo $logo; ?>
                        <a class="logo checkout-logo" href="<?php echo $block->getUrl(''); ?>" title="Alogic Logo">
              			      <img alt="Alogic Checkout Logo" src="/media/wysiwyg/Alogic-footer-logo.png">
              			    </a>
                    </div>
                </div>

                <div class="hidden-lg hidden-md col-sm-4 logo-header col-xs-6 mobile-item-col"><?php echo $logo ?></div>

                <div class="col-md-5 col-xs-12 megamenu-content">

                    <div class="head-mo" id="headMo">
                    <?php echo $topSearch; ?>
                    </div>

                    <?php echo $htmlTabMenu ?><?php echo $htmlTabContent ?>
                    <div class="menu-footer visible-xs visible-sm">
                      <div class="row">
                        <div class="col-xs-12 col-sm-6">
                          <div class="m-footer-data">

                            <img src="/media/wysiwyg/Alogic-footer-logo.png" alt="Logo" class="img-responsive">
                            <p class="m-footer-data-copy">&copy; 2001-2021 ALOGIC, Inc. All rights reserved.</p>
                            <ul class="mf-menu">
                              <li><a href="<?php echo $this->getUrl('about-us');  ?>" >About</a></li>
                              <li><a href="<?php echo $this->getUrl('support');  ?>" >Support</a></li>
                              <li><a href="<?php echo $this->getUrl('contact-us');  ?>" >Contact Us</a></li>
                              <li><a href="<?php echo $this->getUrl('privacy-policy');  ?>" >Privacy Policy</a></li>
                              <li><a href="<?php echo $this->getUrl('terms-conditions');  ?>" >Terms and Conditions</a></li>
                              <li><a href="<?php echo $this->getUrl('warranty-policy');  ?>" >Warranty Policy</a></li>
                               <li><a href="<?php echo $this->getUrl('shipping-policy');  ?>" >Shipping Policy</a></li>
                            </ul>
                          </div>
                        </div>
                        <div class="col-xs-12 col-sm-6">
                          <div class="m-footer-social">
                            <a href="https://www.facebook.com/AlogicCorp/" class="m-footer-social-img">
                              <img src="/media/wysiwyg/fb-mobile.png" alt="Facebook" class="img-responsive">
                            </a>
                            <a href="https://twitter.com/AlogicCorp" class="m-footer-social-img">
                              <img src="/media/wysiwyg/twt-mobile.png" alt="Twitter" class="img-responsive">
                            </a>
                            <a href="https://www.instagram.com/alogiccorp/" class="m-footer-social-img">
                              <img src="/media/wysiwyg/insta-mobile_1.png" alt="Instagram" class="img-responsive">
                            </a>
                            <a href="https://www.linkedin.com/company/10692243/" class="m-footer-social-img">
                              <img src="/media/wysiwyg/social/new/Icon-linkedin.png" alt="Linkedin" class="img-responsive">
                            </a>
                          </div>
                        </div>
                      </div>
                    </div>
                </div>

                <div class="col-md-5 col-sm-4 col-xs-auto col-xs-4 megamenu-items mobile-item-col">
                    <div class="table-icon-menu pull-right">
                        <?php echo $storeLanguage ?>

                    <div class="head-des" id="headDes">

                    <?php echo $topSearch; ?>
                    </div>
                        <?php echo $htmlTopLink ?>
                        <?php echo $miniCart ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">

        // Create a media condition that targets viewports at least 768px wide
const mediaQuery = window.matchMedia('(max-width: 1023px)')
// Check if the media query is true
if (mediaQuery.matches) {
  // Then trigger an alert
  var elem = document.getElementById("headDes");
  elem.parentNode.removeChild(elem);


}else{
    var elem = document.getElementById("headMo");
  elem.parentNode.removeChild(elem);
}


    </script>

    <div>
    <?php
        echo $this->getLayout()
          ->createBlock('Sebwite\Sidebar\Block\Sidebar')
          ->setTemplate('Alogic_Customtheme::topbar.phtml')
          ->toHtml();
    ?>
    </div>
<?php echo $subCategories; ?>
